Login / Register  0 items | $0.00 New What is KVR? Submit News Advertise

Installing on MacOS X 10.5 Leopard

User avatar
Urs
u-he
 
20200 posts since 7 Aug, 2002, from Berlin

Postby Urs; Sat May 04, 2013 3:27 am Installing on MacOS X 10.5 Leopard

How to install our stuff on MacOS X 10.5 Leopard

With the advent of Mountain Lion, Apple installers need to be signed with a developer certificate. This is a precaution against malware. Unfortunately the installers made with those tools do not work on MacOS X 10.5 Leopard anymore. While our plug-ins do work on IntelMacs running 10.5, one has to manually install them. Here's how:

1. Download and install "Pacifist 3.0.10" from http://www.charlessoft.com/pacifist_olderversions.html - this is a tool that can extract contents from Apple installers.

2. If you haven't done so, download our installer, we'll use ACE for example.

3. Unpack ACE12Mac.zip and open the newly created folder ACE1560Mac

4. Right-Click (or Ctrl-Click) ACEInstaller.pkg and select "Open With->Pacifist.app"

(now Pacifist will ask you to register or wait a bit, it's a great software, you might need it more often on 10.5, so please consider buying it)

5. Authorize yourself by clicking the lock on the top right of the Pacifist window (see below)

6. Look into the Package contents and install the files accordingly:

Right-Click (Ctrl-Click) following files and choose "Install to Default Location"

ACE.vst3
ACE.vst
ACE.component
ACE
ACE.dpm
Images
Scripts

Here's a screenshot of what it looks like, and I've highlighted those files needed:

Image

ACE is now installed! :)

Note: I have not verified this procedure on a Mac with MacOS X 10.5


#-------- one last thing ---------#


7. Final step, set permissions to usuable values:

- Right-Click following two folders in Finder and Get Info:

MacHD/Library/Audio/Presets/u-he
MacHD/Library/Application Support/u-he/ACE/Scripts

- Click the lock on the bottom right of the info windows, authorize as admin
- set permissions for everyone to read & write, so that you can switch UI and save presets!
- Apply permissions to the enclosed items

like here:

Image

Let me know if/how it works...

- Urs

(I'm off to buy a Pacifist license now)
Garzita
KVRist
 
74 posts since 25 Jul, 2005, from Vancouver, Canada

Postby Garzita; Sat May 04, 2013 6:55 am

Maestro!
I just tried with Bazille!!! it worked!!!
But then a strange fear gripped me
and I just couldn't ask....
megadude
KVRist
 
162 posts since 28 Aug, 2008

Postby megadude; Sat May 04, 2013 9:06 am

Poldolski works!!! PODOLSKI WORKS!!!!!!!

thanks so much for figuring this out Urs, beyond the call of duty to be sure! I made sure that Charlessoft got their 20$ too -- the software does seem very useful.
Why'd you slice off my hand?
megadude
KVRist
 
162 posts since 28 Aug, 2008

Postby megadude; Sun May 05, 2013 6:27 am

hey Garzita, if you don't me asking, which is the latest version of bazille? o'm using .4 which i know ain't it....

:)
Why'd you slice off my hand?
User avatar
EvilDragon
KVRAF
 
13755 posts since 6 Jan, 2009, from Croatia

Postby EvilDragon; Sun May 05, 2013 6:44 am

0.6 is the latest alpha.
megadude
KVRist
 
162 posts since 28 Aug, 2008

Postby megadude; Sun May 05, 2013 7:41 am

I'm in it to win it! Thanks!!
Why'd you slice off my hand?
Breeze
KVRAF
 
1913 posts since 13 Oct, 2002

Postby Breeze; Sun May 05, 2013 8:12 am

Is this installation problem also true of Snow Lepard 10.6.8?
User avatar
Urs
u-he
 
20200 posts since 7 Aug, 2002, from Berlin

Postby Urs; Sun May 05, 2013 8:24 am

Breeze wrote:Is this installation problem also true of Snow Lepard 10.6.8?

Nope, shouldn't... only Leopard so far, and it stops at one of the installation scripts at the end.
Garzita
KVRist
 
74 posts since 25 Jul, 2005, from Vancouver, Canada

Postby Garzita; Tue May 20, 2014 7:15 pm Re: Installing on MacOS X 10.5 Leopard

i cant install the new Bazille though after successfully installing the old Bazille, it crashes Live and Plogue Bidule, any suggestions?
But then a strange fear gripped me
and I just couldn't ask....
nikhilisnair
KVRer
 
1 post since 2 Jan, 2015

Postby nikhilisnair; Fri Jan 02, 2015 9:33 am Re: Installing on MacOS X 10.5 Leopard

Hey guys!
This may be a stupid question, but I installed the package, followed all the instructions and I just cant seem to find the application on my mac! :(
User avatar
Urs
u-he
 
20200 posts since 7 Aug, 2002, from Berlin

Postby Urs; Fri Jan 02, 2015 9:45 am Re: Installing on MacOS X 10.5 Leopard

nikhilisnair wrote:Hey guys!
This may be a stupid question, but I installed the package, followed all the instructions and I just cant seem to find the application on my mac! :(

They're plug-ins, not applications. You need Logic or some other host software to use them.

The user guide has an overview of all paths of what's gone where.
adam_rodz
KVRer
 
4 posts since 14 Jan, 2015

Postby adam_rodz; Thu Jan 15, 2015 5:17 am Re: Installing on MacOS X 10.5 Leopard

can i just ask is this why Hive is failing to install on my Mac Leopard 10.5? I have to do it this way?
User avatar
#rob
KVRist
 
290 posts since 20 Aug, 2013

Postby #rob; Thu Jan 15, 2015 9:57 am Re: Installing on MacOS X 10.5 Leopard

adam_rodz wrote:I have to do it this way?

10.5 is 10.5, the name of the plugin doesn't change that. :)
So yes, you have to do it this way.
Cheers,
Rob
u-he | Support | FAQ | Patch Library
adam_rodz
KVRer
 
4 posts since 14 Jan, 2015

Postby adam_rodz; Thu Jan 15, 2015 10:22 am Re: Installing on MacOS X 10.5 Leopard

Thankyou! I got it working now :) It maybe time to update my OS i think soon..
User avatar
Urs
u-he
 
20200 posts since 7 Aug, 2002, from Berlin

Postby Urs; Fri Mar 13, 2015 4:03 am Re: Installing on MacOS X 10.5 Leopard

Making it unsticky... we have an FAQ on our website and also, Leopard is an endangered OS by now...

Moderator: u-he Mods

Return to u-he